searchNodes=[{"doc":"API for Pterodactyl panel","ref":"Elidactyl.html","title":"Elidactyl","type":"module"},{"doc":"Create a new Pterodactyl node with given params.Examplesiex&gt; params = ...&gt; %{ ...&gt; daemon_listen: 8080, ...&gt; daemon_sftp: 2022, ...&gt; disk: 1024, ...&gt; disk_overallocate: 0, ...&gt; fqdn: &quot;node.example.com&quot;, ...&gt; location_id: 1, ...&gt; memory: 1024, ...&gt; memory_overallocate: 0, ...&gt; name: &quot;node&quot;, ...&gt; scheme: &quot;http&quot;, ...&gt; upload_size: 100 ...&gt; } iex&gt; Elidactyl.create_node(params) {:ok, %Elidactyl.Schemas.Node{ behind_proxy: true, created_at: ~N[2022-01-16 23:36:57.343035], daemon_base: &quot;/srv/daemon-data&quot;, daemon_listen: 8080, daemon_sftp: 2022, description: &quot;Test&quot;, disk: 1024, disk_overallocate: 0, fqdn: &quot;node.example.com&quot;, id: 562, location_id: 1, maintenance_mode: false, memory: 1024, memory_overallocate: 0, name: &quot;node&quot;, public: false, scheme: &quot;http&quot;, updated_at: ~N[2022-02-12 23:36:57.343035], upload_size: 100, uuid: &quot;e543674f-3d37-445a-90e8-e5c47b05c7e9&quot; }}","ref":"Elidactyl.html#create_node/1","title":"Elidactyl.create_node/1","type":"function"},{"doc":"Create a new server with given paramsExamplesiex&gt; params = %{ ...&gt; user: 1, ...&gt; egg: 15, ...&gt; docker_image: &quot;quay.io/pterodactyl/core:java-glibc&quot;, ...&gt; startup: &quot;java -Xms128M -Xmx 1024M -jar server.jar&quot;, ...&gt; environment: %{ ...&gt; &quot;DL_VERSION&quot; =&gt; &quot;1.12.2&quot; ...&gt; }, ...&gt; limits: %{ ...&gt; memory: 512, ...&gt; swap: 0, ...&gt; disk: 1024, ...&gt; io: 500, ...&gt; cpu: 100 ...&gt; }, ...&gt; feature_limits: %{ ...&gt; databases: 1, ...&gt; backups: 1 ...&gt; }, ...&gt; allocation: %{ ...&gt; default: 28, ...&gt; additional: [3, 19] ...&gt; } ...&gt;} iex&gt; Elidactyl.create_server(params) { :ok, %Elidactyl.Schemas.Server{ allocation: 17, container: %Elidactyl.Schemas.Server.Container{ environment: %{ &quot;P_SERVER_LOCATION&quot; =&gt; &quot;GB&quot;, &quot;P_SERVER_UUID&quot; =&gt; &quot;d557c19c-8b21-4456-a9e5-181beda429f4&quot;, &quot;STARTUP&quot; =&gt; &quot;java -Xms128M -Xmx128M -jar server.jar&quot;, &quot;BUNGEE_VERSION&quot; =&gt; &quot;latest&quot;, &quot;P_SERVER_ALLOCATION_LIMIT&quot; =&gt; 0, &quot;SERVER_JARFILE&quot; =&gt; &quot;server.jar&quot; }, image: &quot;quay.io/pterodactyl/core =&gt;java&quot;, installed: false, startup_command: &quot;java -Xms128M -Xmx128M -jar server.jar&quot; }, created_at: NaiveDateTime.from_iso8601!(&quot;2020-10-29T01:38:59+00:00&quot;), databases: [], description: &quot;&quot;, egg: 1, external_id: nil, feature_limits: %{allocations: 0, databases: 5, backups: 1}, id: 7, identifier: &quot;d557c19c&quot;, limits: %{cpu: 100, disk: 512, io: 500, memory: 128, swap: 0, threads: nil}, name: &quot;Building&quot;, nest: 1, node: 1, pack: nil, server_owner: nil, suspended: false, updated_at: NaiveDateTime.from_iso8601!(&quot;2020-10-29T01:38:59+00:00&quot;), user: 1, uuid: &quot;d557c19c-8b21-4456-a9e5-181beda429f4&quot; } }","ref":"Elidactyl.html#create_server/1","title":"Elidactyl.create_server/1","type":"function"},{"doc":"Create user with given params.Examplesiex&gt; params = %{ ...&gt; username: &quot;example&quot;, ...&gt; email: &quot;example@example.com&quot;, ...&gt; first_name: &quot;John&quot;, ...&gt; last_name: &quot;Doe&quot;, ...&gt; language: &quot;en&quot;, ...&gt; root_admin: false ...&gt; } iex&gt; Elidactyl.create_user(params) { :ok, %Elidactyl.Schemas.User{ external_id: nil, password: nil, &quot;2fa&quot;: false, created_at: NaiveDateTime.from_iso8601!(&quot;2018-03-18T15:15:17+00:00&quot;), email: &quot;example@example.com&quot;, first_name: &quot;John&quot;, id: 2, language: &quot;en&quot;, last_name: &quot;Doe&quot;, root_admin: false, updated_at: NaiveDateTime.from_iso8601!(&quot;2018-10-16T21:51:21+00:00&quot;), username: &quot;example&quot;, uuid: &quot;c4022c6c-9bf1-4a23-bff9-519cceb38335&quot; } }","ref":"Elidactyl.html#create_user/1","title":"Elidactyl.create_user/1","type":"function"},{"doc":"Delete a server using internal pterodactyl server id.Examplesiex&gt; Elidactyl.delete_server(1) :ok","ref":"Elidactyl.html#delete_server/1","title":"Elidactyl.delete_server/1","type":"function"},{"doc":"Delete user using internal pterodactyl user id.Examplesiex&gt; Elidactyl.delete_user(1) :ok","ref":"Elidactyl.html#delete_user/1","title":"Elidactyl.delete_user/1","type":"function"},{"doc":"Get all servers.Examplesiex&gt; Elidactyl.get_all_servers() { :ok, [ %Elidactyl.Schemas.Server{ allocation: 1, container: %Elidactyl.Schemas.Server.Container{ environment: %{ &quot;P_SERVER_LOCATION&quot; =&gt; &quot;Test&quot;, &quot;P_SERVER_UUID&quot; =&gt; &quot;1a7ce997-259b-452e-8b4e-cecc464142ca&quot;, &quot;SERVER_JARFILE&quot; =&gt; &quot;server.jar&quot;, &quot;STARTUP&quot; =&gt; &quot;java -Xms128M -Xmx{{SERVER_MEMORY}}M -jar {{SERVER_JARFILE}}&quot;, &quot;VANILLA_VERSION&quot; =&gt; &quot;latest&quot; }, image: &quot;quay.io/pterodactyl/core:java&quot;, installed: true, startup_command: &quot;java -Xms128M -Xmx{{SERVER_MEMORY}}M -jar {{SERVER_JARFILE}}&quot; }, created_at: NaiveDateTime.from_iso8601!(&quot;2019-12-23T06:46:27+00:00&quot;), databases: [ %Elidactyl.Schemas.Server.Database{ created_at: NaiveDateTime.from_iso8601!(&quot;2020-06-12T23:00:13+01:00&quot;), database: &quot;s5_perms&quot;, host: 4, id: 1, max_connections: 0, remote: &quot;%&quot;, server: 5, updated_at: NaiveDateTime.from_iso8601!(&quot;2020-06-12T23:00:13+01:00&quot;), username: &quot;u5_QsIAp1jhvS&quot; }, %Elidactyl.Schemas.Server.Database{ created_at: NaiveDateTime.from_iso8601!(&quot;2020-06-12T23:00:20+01:00&quot;), database: &quot;s5_coreprotect&quot;, host: 4, id: 2, max_connections: 0, remote: &quot;%&quot;, server: 5, updated_at: NaiveDateTime.from_iso8601!(&quot;2020-06-12T23:00:20+01:00&quot;), username: &quot;u5_2jtJx1nO1d&quot; } ], description: &quot;Matt from Wii Sports&quot;, egg: 5, external_id: &quot;RemoteId1&quot;, feature_limits: %{allocations: 5, databases: 5, backups: 2}, id: 5, identifier: &quot;1a7ce997&quot;, limits: %{cpu: 0, disk: 200, io: 500, memory: 512, swap: 0, threads: nil}, name: &quot;Wuhu Island&quot;, nest: 1, node: 1, pack: nil, server_owner: nil, suspended: false, updated_at: NaiveDateTime.from_iso8601!(&quot;2020-06-13T04:20:53+00:00&quot;), user: 1, uuid: &quot;1a7ce997-259b-452e-8b4e-cecc464142ca&quot; } ] }","ref":"Elidactyl.html#get_all_servers/0","title":"Elidactyl.get_all_servers/0","type":"function"},{"doc":"Get all users.Examplesiex&gt; Elidactyl.get_all_users() {:ok, [ %Elidactyl.Schemas.User{ external_id: nil, password: nil, &quot;2fa&quot;: false, created_at: NaiveDateTime.from_iso8601!(&quot;2018-03-18T15:15:17+00:00&quot;), email: &quot;codeco@file.properties&quot;, first_name: &quot;Rihan&quot;, id: 1, language: &quot;en&quot;, last_name: &quot;Arfan&quot;, root_admin: true, updated_at: NaiveDateTime.from_iso8601!(&quot;2018-10-16T21:51:21+00:00&quot;), username: &quot;codeco&quot;, uuid: &quot;c4022c6c-9bf1-4a23-bff9-519cceb38335&quot; }, %Elidactyl.Schemas.User{ &quot;2fa&quot;: false, created_at: NaiveDateTime.from_iso8601!(&quot;2018-09-29T17:59:45+00:00&quot;), email: &quot;wardle315@gmail.com&quot;, external_id: nil, first_name: &quot;Harvey&quot;, id: 4, language: &quot;en&quot;, last_name: &quot;Wardle&quot;, password: nil, root_admin: false, updated_at: NaiveDateTime.from_iso8601!(&quot;2018-10-02T18:59:03+00:00&quot;), username: &quot;wardledeboss&quot;, uuid: &quot;f253663c-5a45-43a8-b280-3ea3c752b931&quot; } ]}","ref":"Elidactyl.html#get_all_users/0","title":"Elidactyl.get_all_users/0","type":"function"},{"doc":"Gets an existing Pterodactyl node by id.Examplesiex&gt; Elidactyl.get_node(100) {:ok, %Elidactyl.Schemas.Node{ behind_proxy: true, created_at: ~N[2022-01-16 23:36:57.343035], daemon_base: &quot;/srv/daemon-data&quot;, daemon_listen: 8080, daemon_sftp: 2022, description: &quot;Test&quot;, disk: 1024, disk_overallocate: 0, fqdn: &quot;node.example.com&quot;, id: 100, location_id: 1, maintenance_mode: false, memory: 1024, memory_overallocate: 0, name: &quot;node&quot;, public: false, scheme: &quot;http&quot;, updated_at: ~N[2022-02-12 23:36:57.343035], upload_size: 100, uuid: &quot;e543674f-3d37-445a-90e8-e5c47b05c7e9&quot; }}","ref":"Elidactyl.html#get_node/1","title":"Elidactyl.get_node/1","type":"function"},{"doc":"Callback implementation for c:Elidactyl.Behaviour.get_server/1.","ref":"Elidactyl.html#get_server/1","title":"Elidactyl.get_server/1","type":"function"},{"doc":"See Elidactyl.Client.get_server_stats/1.","ref":"Elidactyl.html#get_server_stats/1","title":"Elidactyl.get_server_stats/1","type":"function"},{"doc":"List available allocations for a given node.Examplesiex&gt; Elidactyl.list_allocations(100) {:ok, [%Elidactyl.Schemas.Node.Allocation{ alias: nil, assigned: true, id: 1, ip: &quot;45.86.168.218&quot;, notes: nil, port: 25565 }]}","ref":"Elidactyl.html#list_allocations/1","title":"Elidactyl.list_allocations/1","type":"function"},{"doc":"Update server details:name, user - mandatorydescription, external_id - optionalExamplesiex&gt; params = %{ ...&gt; user: 2, ...&gt; name: &quot;New name&quot; ...&gt;} iex&gt; Elidactyl.update_server_details(1, params) { :ok, %Elidactyl.Schemas.Server{ allocation: 17, container: %Elidactyl.Schemas.Server.Container{ environment: %{ &quot;P_SERVER_LOCATION&quot; =&gt; &quot;GB&quot;, &quot;P_SERVER_UUID&quot; =&gt; &quot;d557c19c-8b21-4456-a9e5-181beda429f4&quot;, &quot;STARTUP&quot; =&gt; &quot;java -Xms128M -Xmx128M -jar server.jar&quot;, &quot;BUNGEE_VERSION&quot; =&gt; &quot;latest&quot;, &quot;P_SERVER_ALLOCATION_LIMIT&quot; =&gt; 0, &quot;SERVER_JARFILE&quot; =&gt; &quot;server.jar&quot; }, image: &quot;quay.io/pterodactyl/core =&gt;java&quot;, installed: false, startup_command: &quot;java -Xms128M -Xmx128M -jar server.jar&quot; }, created_at: NaiveDateTime.from_iso8601!(&quot;2020-10-29T01:38:59+00:00&quot;), databases: [], description: &quot;&quot;, egg: 1, external_id: nil, feature_limits: %{allocations: 0, databases: 5, backups: 1}, id: 7, identifier: &quot;d557c19c&quot;, limits: %{cpu: 100, disk: 512, io: 500, memory: 128, swap: 0, threads: nil}, name: &quot;New name&quot;, nest: 1, node: 1, pack: nil, server_owner: nil, suspended: false, updated_at: NaiveDateTime.from_iso8601!(&quot;2020-10-29T01:38:59+00:00&quot;), user: 2, uuid: &quot;d557c19c-8b21-4456-a9e5-181beda429f4&quot; } }","ref":"Elidactyl.html#update_server_details/2","title":"Elidactyl.update_server_details/2","type":"function"},{"doc":"Update user using pterodactyl internal user id and params.Examplesiex&gt; params = %{ ...&gt; email: &quot;email@example.com&quot;, ...&gt; first_name: &quot;John&quot;, ...&gt; last_name: &quot;Doe&quot;, ...&gt; language: &quot;en&quot; ...&gt; } iex&gt; Elidactyl.update_user(4, params) { :ok, %Elidactyl.Schemas.User{ external_id: nil, password: nil, &quot;2fa&quot;: false, created_at: NaiveDateTime.from_iso8601!(&quot;2018-09-29T17:59:45+00:00&quot;), email: &quot;email@example.com&quot;, first_name: &quot;John&quot;, id: 4, language: &quot;en&quot;, last_name: &quot;Doe&quot;, root_admin: false, updated_at: NaiveDateTime.from_iso8601!(&quot;2018-10-02T18:59:03+00:00&quot;), username: &quot;wardledeboss&quot;, uuid: &quot;f253663c-5a45-43a8-b280-3ea3c752b931&quot; } }","ref":"Elidactyl.html#update_user/2","title":"Elidactyl.update_user/2","type":"function"},{"doc":"","ref":"Elidactyl.html#t:id/0","title":"Elidactyl.id/0","type":"type"},{"doc":"","ref":"Elidactyl.html#t:params/0","title":"Elidactyl.params/0","type":"type"},{"doc":"","ref":"Elidactyl.html#t:uuid/0","title":"Elidactyl.uuid/0","type":"type"},{"doc":"Error struct that contains response from pterodactyl panel.","ref":"Elidactyl.Error.html","title":"Elidactyl.Error","type":"module"},{"doc":"Makes Jason encode error","ref":"Elidactyl.Error.html#encode_error/2","title":"Elidactyl.Error.encode_error/2","type":"function"},{"doc":"Makes error struct from ecto changeset","ref":"Elidactyl.Error.html#from_changeset/3","title":"Elidactyl.Error.from_changeset/3","type":"function"},{"doc":"Makes response parsing error","ref":"Elidactyl.Error.html#invalid_response/1","title":"Elidactyl.Error.invalid_response/1","type":"function"},{"doc":"","ref":"Elidactyl.Error.html#mapper/1","title":"Elidactyl.Error.mapper/1","type":"function"},{"doc":"","ref":"Elidactyl.Error.html#t:t/0","title":"Elidactyl.Error.t/0","type":"type"}]